I try to make a python script by using the _SplitEdge command of rhino
I stuck by selecting an Edge of the Surface/Brep because the _SelID command doesn’t give the opportunity to select and edge.
Is there a way to split and edge by selecting the brep and a point without using the rs.command() option in python?
For example by using the rhino common commands?
And by the way is there some documentation how the brep object is designed in rhino common?
@Nico_de_Meester,
Rhino.Geometry.Collections.BrepEdgeList
has a method SplitEdgeAtParameters which you might find interesting.
You might take a look at this diagramm.
c.
Hi clement,
Thanks for your input.
It took I some time before i got rid to the Rhino Common code also thanks to this item From Python into Rhino Common
The code is still not optimissed may be someone could modify it and reply
But It works.
Nico
test BrepEdgeSplit.3dm (160.8 KB)
test BrepEdgeSplit.py (1.0 KB)